<?php

class EventlyMikadoClassIonIcons implements iEventlyMikadoInterfaceIconCollection {

	public $icons;
    public $title;
	public $param;
	public $styleUrl;

	function __construct($title_label = "", $param = "") {
		$this->icons = array();
		$this->socialIcons = array();
		$this->title = $title_label;
		$this->param = $param;
		$this->setIconsArray();
		$this->setSocialIconsArray();
		$this->styleUrl = MIKADO_ASSETS_ROOT . "/css/ion-icons/css/ionicons.min.css";
	}

	public function setIconsArray() {
		$this->icons = array(
			'' => '',
			'ion-alert' => 'ion-alert',
			'ion-alert-circled' => 'ion-alert-circled',
			'ion-android-add' => 'ion-android-add',
			'ion-android-add-circle' => 'ion-android-add-circle',
			'ion-android-alarm-clock' => 'ion-android-alarm-clock',
			'ion-android-alert' => 'ion-android-alert',
			'ion-android-apps' => 'ion-android-apps',
			'ion-android-archive' => 'ion-android-archive',
			'ion-android-arrow-back' => 'ion-android-arrow-back',
			'ion-android-arrow-down' => 'ion-android-arrow-down',
			'ion-android-arrow-dropdown' => 'ion-android-arrow-dropdown',
			'ion-android-arrow-dropdown-circle' => 'ion-android-arrow-dropdown-circle',
			'ion-android-arrow-dropleft' => 'ion-android-arrow-dropleft',
			'ion-android-arrow-dropleft-circle' => 'ion-android-arrow-dropleft-circle',
			'ion-android-arrow-dropright' => 'ion-android-arrow-dropright',
			'ion-android-arrow-dropright-circle' => 'ion-android-arrow-dropright-circle',
			'ion-android-arrow-dropup' => 'ion-android-arrow-dropup',
			'ion-android-arrow-dropup-circle' => 'ion-android-arrow-dropup-circle',
			'ion-android-arrow-forward' => 'ion-android-arrow-forward',
			'ion-android-arrow-up' => 'ion-android-arrow-up',
			'ion-android-attach' => 'ion-android-attach',
			'ion-android-bar' => 'ion-android-bar',
			'ion-android-bicycle' => 'ion-android-bicycle',
			'ion-android-boat' => 'ion-android-boat',
			'ion-android-bookmark' => 'ion-android-bookmark',
			'ion-android-bulb' => 'ion-android-bulb',
			'ion-android-bus' => 'ion-android-bus',
			'ion-android-calendar' => 'ion-android-calendar',
			'ion-android-call' => 'ion-android-call',
			'ion-android-camera' => 'ion-android-camera',
			'ion-android-cancel' => 'ion-android-cancel',
			'ion-android-car' => 'ion-android-car',
			'ion-android-cart' => 'ion-android-cart',
			'ion-android-chat' => 'ion-android-chat',
			'ion-android-checkbox' => 'ion-android-checkbox',
			'ion-android-checkbox-blank' => 'ion-android-checkbox-blank',
			'ion-android-checkbox-outline' => 'ion-android-checkbox-outline',
			'ion-android-checkbox-outline-blank' => 'ion-android-checkbox-outline-blank',
			'ion-android-checkmark-circle' => 'ion-android-checkmark-circle',
			'ion-android-clipboard' => 'ion-android-clipboard',
			'ion-android-close' => 'ion-android-close',
			'ion-android-cloud' => 'ion-android-cloud',
			'ion-android-cloud-circle' => 'ion-android-cloud-circle',
			'ion-android-cloud-done' => 'ion-android-cloud-done',
			'ion-android-cloud-outline' => 'ion-android-cloud-outline',
			'ion-android-color-palette' => 'ion-android-color-palette',
			'ion-android-compass' => 'ion-android-compass',
			'ion-android-contact' => 'ion-android-contact',
			'ion-android-contacts' => 'ion-android-contacts',
			'ion-android-contract' => 'ion-android-contract',
			'ion-android-create' => 'ion-android-create',
			'ion-android-delete' => 'ion-android-delete',
			'ion-android-desktop' => 'ion-android-desktop',
			'ion-android-document' => 'ion-android-document',
			'ion-android-done' => 'ion-android-done',
			'ion-android-done-all' => 'ion-android-done-all',
			'ion-android-download' => 'ion-android-download',
			'ion-android-drafts' => 'ion-android-drafts',
			'ion-android-exit' => 'ion-android-exit',
			'ion-android-expand' => 'ion-android-expand',
			'ion-android-favorite' => 'ion-android-favorite',
			'ion-android-favorite-outline' => 'ion-android-favorite-outline',
			'ion-android-film' => 'ion-android-film',
			'ion-android-folder' => 'ion-android-folder',
			'ion-android-folder-open' => 'ion-android-folder-open',
			'ion-android-funnel' => 'ion-android-funnel',
			'ion-android-globe' => 'ion-android-globe',
			'ion-android-hand' => 'ion-android-hand',
			'ion-android-hangout' => 'ion-android-hangout',
			'ion-android-happy' => 'ion-android-happy',
			'ion-android-home' => 'ion-android-home',
			'ion-android-image' => 'ion-android-image',
			'ion-android-laptop' => 'ion-android-laptop',
			'ion-android-list' => 'ion-android-list',
			'ion-android-locate' => 'ion-android-locate',
			'ion-android-lock' => 'ion-android-lock',
			'ion-android-mail' => 'ion-android-mail',
			'ion-android-map' => 'ion-android-map',
			'ion-android-menu' => 'ion-android-menu',
			'ion-android-microphone' => 'ion-android-microphone',
			'ion-android-microphone-off' => 'ion-android-microphone-off',
			'ion-android-more-horizontal' => 'ion-android-more-horizontal',
			'ion-android-more-vertical' => 'ion-android-more-vertical',
			'ion-android-navigate' => 'ion-android-navigate',
			'ion-android-notifications' => 'ion-android-notifications',
			'ion-android-notifications-none' => 'ion-android-notifications-none',
			'ion-android-notifications-off' => 'ion-android-notifications-off',
			'ion-android-open' => 'ion-android-open',
			'ion-android-options' => 'ion-android-options',
			'ion-android-people' => 'ion-android-people',
			'ion-android-person' => 'ion-android-person',
			'ion-android-person-add' => 'ion-android-person-add',
			'ion-android-phone-landscape' => 'ion-android-phone-landscape',
			'ion-android-phone-portrait' => 'ion-android-phone-portrait',
			'ion-android-pin' => 'ion-android-pin',
			'ion-android-plane' => 'ion-android-plane',
			'ion-android-playstore' => 'ion-android-playstore',
			'ion-android-print' => 'ion-android-print',
			'ion-android-radio-button-off' => 'ion-android-radio-button-off',
			'ion-android-radio-button-on' => 'ion-android-radio-button-on',
			'ion-android-refresh' => 'ion-android-refresh',
			'ion-android-remove' => 'ion-android-remove',
			'ion-android-remove-circle' => 'ion-android-remove-circle',
			'ion-android-restaurant' => 'ion-android-restaurant',
			'ion-android-sad' => 'ion-android-sad',
			'ion-android-search' => 'ion-android-search',
			'ion-android-send' => 'ion-android-send',
			'ion-android-settings' => 'ion-android-settings',
			'ion-android-share' => 'ion-android-share',
			'ion-android-share-alt' => 'ion-android-share-alt',
			'ion-android-star' => 'ion-android-star',
			'ion-android-star-half' => 'ion-android-star-half',
			'ion-android-star-outline' => 'ion-android-star-outline',
			'ion-android-stopwatch' => 'ion-android-stopwatch',
			'ion-android-subway' => 'ion-android-subway',
			'ion-android-sunny' => 'ion-android-sunny',
			'ion-android-sync' => 'ion-android-sync',
			'ion-android-textsms' => 'ion-android-textsms',
			'ion-android-time' => 'ion-android-time',
			'ion-android-train' => 'ion-android-train',
			'ion-android-unlock' => 'ion-android-unlock',
			'ion-android-upload' => 'ion-android-upload',
			'ion-android-volume-down' => 'ion-android-volume-down',
			'ion-android-volume-mute' => 'ion-android-volume-mute',
			'ion-android-volume-off' => 'ion-android-volume-off',
			'ion-android-volume-up' => 'ion-android-volume-up',
			'ion-android-walk' => 'ion-android-walk',
			'ion-android-warning' => 'ion-android-warning',
			'ion-android-watch' => 'ion-android-watch',
			'ion-android-wifi' => 'ion-android-wifi',
			'ion-aperture' => 'ion-aperture',
			'ion-archive' => 'ion-archive',
			'ion-arrow-down-a' => 'ion-arrow-down-a',
			'ion-arrow-down-b' => 'ion-arrow-down-b',
			'ion-arrow-down-c' => 'ion-arrow-down-c',
			'ion-arrow-expand' => 'ion-arrow-expand',
			'ion-arrow-graph-down-left' => 'ion-arrow-graph-down-left',
			'ion-arrow-graph-down-right' => 'ion-arrow-graph-down-right',
			'ion-arrow-graph-up-left' => 'ion-arrow-graph-up-left',
			'ion-arrow-graph-up-right' => 'ion-arrow-graph-up-right',
			'ion-arrow-left-a' => 'ion-arrow-left-a',
			'ion-arrow-left-b' => 'ion-arrow-left-b',
			'ion-arrow-left-c' => 'ion-arrow-left-c',
			'ion-arrow-move' => 'ion-arrow-move',
			'ion-arrow-resize' => 'ion-arrow-resize',
			'ion-arrow-return-left' => 'ion-arrow-return-left',
			'ion-arrow-return-right' => 'ion-arrow-return-right',
			'ion-arrow-right-a' => 'ion-arrow-right-a',
			'ion-arrow-right-b' => 'ion-arrow-right-b',
			'ion-arrow-right-c' => 'ion-arrow-right-c',
			'ion-arrow-shrink' => 'ion-arrow-shrink',
			'ion-arrow-swap' => 'ion-arrow-swap',
			'ion-arrow-up-a' => 'ion-arrow-up-a',
			'ion-arrow-up-b' => 'ion-arrow-up-b',
			'ion-arrow-up-c' => 'ion-arrow-up-c',
			'ion-asterisk' => 'ion-asterisk',
			'ion-at' => 'ion-at',
			'ion-backspace' => 'ion-backspace',
			'ion-backspace-outline' => 'ion-backspace-outline',
			'ion-bag' => 'ion-bag',
			'ion-battery-charging' => 'ion-battery-charging',
			'ion-battery-empty' => 'ion-battery-empty',
			'ion-battery-full' => 'ion-battery-full',
			'ion-battery-half' => 'ion-battery-half',
			'ion-battery-low' => 'ion-battery-low',
			'ion-beaker' => 'ion-beaker',
			'ion-beer' => 'ion-beer',
			'ion-bluetooth' => 'ion-bluetooth',
			'ion-bonfire' => 'ion-bonfire',
			'ion-bookmark' => 'ion-bookmark',
			'ion-bowtie' => 'ion-bowtie',
			'ion-briefcase' => 'ion-briefcase',
			'ion-bug' => 'ion-bug',
			'ion-calculator' => 'ion-calculator',
			'ion-calendar' => 'ion-calendar',
			'ion-camera' => 'ion-camera',
			'ion-card' => 'ion-card',
			'ion-cash' => 'ion-cash',
			'ion-chatbox' => 'ion-chatbox',
			'ion-chatbox-working' => 'ion-chatbox-working',
			'ion-chatboxes' => 'ion-chatboxes',
			'ion-chatbubble' => 'ion-chatbubble',
			'ion-chatbubble-working' => 'ion-chatbubble-working',
			'ion-chatbubbles' => 'ion-chatbubbles',
			'ion-checkmark' => 'ion-checkmark',
			'ion-checkmark-circled' => 'ion-checkmark-circled',
			'ion-checkmark-round' => 'ion-checkmark-round',
			'ion-chevron-down' => 'ion-chevron-down',
			'ion-chevron-left' => 'ion-chevron-left',
			'ion-chevron-right' => 'ion-chevron-right',
			'ion-chevron-up' => 'ion-chevron-up',
			'ion-clipboard' => 'ion-clipboard',
			'ion-clock' => 'ion-clock',
			'ion-close' => 'ion-close',
			'ion-close-circled' => 'ion-close-circled',
			'ion-close-round' => 'ion-close-round',
			'ion-closed-captioning' => 'ion-closed-captioning',
			'ion-cloud' => 'ion-cloud',
			'ion-code' => 'ion-code',
			'ion-code-download' => 'ion-code-download',
			'ion-code-working' => 'ion-code-working',
			'ion-coffee' => 'ion-coffee',
			'ion-compass' => 'ion-compass',
			'ion-compose' => 'ion-compose',
			'ion-connection-bars' => 'ion-connection-bars',
			'ion-contrast' => 'ion-contrast',
			'ion-crop' => 'ion-crop',
			'ion-cube' => 'ion-cube',
			'ion-disc' => 'ion-disc',
			'ion-document' => 'ion-document',
			'ion-document-text' => 'ion-document-text',
			'ion-drag' => 'ion-drag',
			'ion-earth' => 'ion-earth',
			'ion-easel' => 'ion-easel',
			'ion-edit' => 'ion-edit',
			'ion-egg' => 'ion-egg',
			'ion-eject' => 'ion-eject',
			'ion-email' => 'ion-email',
			'ion-email-unread' => 'ion-email-unread',
			'ion-erlenmeyer-flask' => 'ion-erlenmeyer-flask',
			'ion-erlenmeyer-flask-bubbles' => 'ion-erlenmeyer-flask-bubbles',
			'ion-eye' => 'ion-eye',
			'ion-eye-disabled' => 'ion-eye-disabled',
			'ion-female' => 'ion-female',
			'ion-filing' => 'ion-filing',
			'ion-film-marker' => 'ion-film-marker',
			'ion-fireball' => 'ion-fireball',
			'ion-flag' => 'ion-flag',
			'ion-flame' => 'ion-flame',
			'ion-flash' => 'ion-flash',
			'ion-flash-off' => 'ion-flash-off',
			'ion-folder' => 'ion-folder',
			'ion-fork' => 'ion-fork',
			'ion-fork-repo' => 'ion-fork-repo',
			'ion-forward' => 'ion-forward',
			'ion-funnel' => 'ion-funnel',
			'ion-gear-a' => 'ion-gear-a',
			'ion-gear-b' => 'ion-gear-b',
			'ion-grid' => 'ion-grid',
			'ion-hammer' => 'ion-hammer',
			'ion-happy' => 'ion-happy',
			'ion-happy-outline' => 'ion-happy-outline',
			'ion-headphone' => 'ion-headphone',
			'ion-heart' => 'ion-heart',
			'ion-heart-broken' => 'ion-heart-broken',
			'ion-help' => 'ion-help',
			'ion-help-buoy' => 'ion-help-buoy',
			'ion-help-circled' => 'ion-help-circled',
			'ion-home' => 'ion-home',
			'ion-icecream' => 'ion-icecream',
			'ion-image' => 'ion-image',
			'ion-images' => 'ion-images',
			'ion-information' => 'ion-information',
			'ion-information-circled' => 'ion-information-circled',
			'ion-ionic' => 'ion-ionic',
			'ion-ios-alarm' => 'ion-ios-alarm',
			'ion-ios-alarm-outline' => 'ion-ios-alarm-outline',
			'ion-ios-albums' => 'ion-ios-albums',
			'ion-ios-albums-outline' => 'ion-ios-albums-outline',
			'ion-ios-americanfootball' => 'ion-ios-americanfootball',
			'ion-ios-americanfootball-outline' => 'ion-ios-americanfootball-outline',
			'ion-ios-analytics' => 'ion-ios-analytics',
			'ion-ios-analytics-outline' => 'ion-ios-analytics-outline',
			'ion-ios-arrow-back' => 'ion-ios-arrow-back',
			'ion-ios-arrow-down' => 'ion-ios-arrow-down',
			'ion-ios-arrow-forward' => 'ion-ios-arrow-forward',
			'ion-ios-arrow-left' => 'ion-ios-arrow-left',
			'ion-ios-arrow-right' => 'ion-ios-arrow-right',
			'ion-ios-arrow-thin-down' => 'ion-ios-arrow-thin-down',
			'ion-ios-arrow-thin-left' => 'ion-ios-arrow-thin-left',
			'ion-ios-arrow-thin-right' => 'ion-ios-arrow-thin-right',
			'ion-ios-arrow-thin-up' => 'ion-ios-arrow-thin-up',
			'ion-ios-arrow-up' => 'ion-ios-arrow-up',
			'ion-ios-at' => 'ion-ios-at',
			'ion-ios-at-outline' => 'ion-ios-at-outline',
			'ion-ios-barcode' => 'ion-ios-barcode',
			'ion-ios-barcode-outline' => 'ion-ios-barcode-outline',
			'ion-ios-baseball' => 'ion-ios-baseball',
			'ion-ios-baseball-outline' => 'ion-ios-baseball-outline',
			'ion-ios-basketball' => 'ion-ios-basketball',
			'ion-ios-basketball-outline' => 'ion-ios-basketball-outline',
			'ion-ios-bell' => 'ion-ios-bell',
			'ion-ios-bell-outline' => 'ion-ios-bell-outline',
			'ion-ios-body' => 'ion-ios-body',
			'ion-ios-body-outline' => 'ion-ios-body-outline',
			'ion-ios-bolt' => 'ion-ios-bolt',
			'ion-ios-bolt-outline' => 'ion-ios-bolt-outline',
			'ion-ios-book' => 'ion-ios-book',
			'ion-ios-book-outline' => 'ion-ios-book-outline',
			'ion-ios-bookmarks' => 'ion-ios-bookmarks',
			'ion-ios-bookmarks-outline' => 'ion-ios-bookmarks-outline',
			'ion-ios-box' => 'ion-ios-box',
			'ion-ios-box-outline' => 'ion-ios-box-outline',
			'ion-ios-briefcase' => 'ion-ios-briefcase',
			'ion-ios-briefcase-outline' => 'ion-ios-briefcase-outline',
			'ion-ios-browsers' => 'ion-ios-browsers',
			'ion-ios-browsers-outline' => 'ion-ios-browsers-outline',
			'ion-ios-calculator' => 'ion-ios-calculator',
			'ion-ios-calculator-outline' => 'ion-ios-calculator-outline',
			'ion-ios-calendar' => 'ion-ios-calendar',
			'ion-ios-calendar-outline' => 'ion-ios-calendar-outline',
			'ion-ios-camera' => 'ion-ios-camera',
			'ion-ios-camera-outline' => 'ion-ios-camera-outline',
			'ion-ios-cart' => 'ion-ios-cart',
			'ion-ios-cart-outline' => 'ion-ios-cart-outline',
			'ion-ios-chatboxes' => 'ion-ios-chatboxes',
			'ion-ios-chatboxes-outline' => 'ion-ios-chatboxes-outline',
			'ion-ios-chatbubble' => 'ion-ios-chatbubble',
			'ion-ios-chatbubble-outline' => 'ion-ios-chatbubble-outline',
			'ion-ios-checkmark' => 'ion-ios-checkmark',
			'ion-ios-checkmark-empty' => 'ion-ios-checkmark-empty',
			'ion-ios-checkmark-outline' => 'ion-ios-checkmark-outline',
			'ion-ios-circle-filled' => 'ion-ios-circle-filled',
			'ion-ios-circle-outline' => 'ion-ios-circle-outline',
			'ion-ios-clock' => 'ion-ios-clock',
			'ion-ios-clock-outline' => 'ion-ios-clock-outline',
			'ion-ios-close' => 'ion-ios-close',
			'ion-ios-close-empty' => 'ion-ios-close-empty',
			'ion-ios-close-outline' => 'ion-ios-close-outline',
			'ion-ios-cloud' => 'ion-ios-cloud',
			'ion-ios-cloud-download' => 'ion-ios-cloud-download',
			'ion-ios-cloud-download-outline' => 'ion-ios-cloud-download-outline',
			'ion-ios-cloud-outline' => 'ion-ios-cloud-outline',
			'ion-ios-cloud-upload' => 'ion-ios-cloud-upload',
			'ion-ios-cloud-upload-outline' => 'ion-ios-cloud-upload-outline',
			'ion-ios-cloudy' => 'ion-ios-cloudy',
			'ion-ios-cloudy-night' => 'ion-ios-cloudy-night',
			'ion-ios-cloudy-night-outline' => 'ion-ios-cloudy-night-outline',
			'ion-ios-cloudy-outline' => 'ion-ios-cloudy-outline',
			'ion-ios-cog' => 'ion-ios-cog',
			'ion-ios-cog-outline' => 'ion-ios-cog-outline',
			'ion-ios-color-filter' => 'ion-ios-color-filter',
			'ion-ios-color-filter-outline' => 'ion-ios-color-filter-outline',
			'ion-ios-color-wand' => 'ion-ios-color-wand',
			'ion-ios-color-wand-outline' => 'ion-ios-color-wand-outline',
			'ion-ios-compose' => 'ion-ios-compose',
			'ion-ios-compose-outline' => 'ion-ios-compose-outline',
			'ion-ios-contact' => 'ion-ios-contact',
			'ion-ios-contact-outline' => 'ion-ios-contact-outline',
			'ion-ios-copy' => 'ion-ios-copy',
			'ion-ios-copy-outline' => 'ion-ios-copy-outline',
			'ion-ios-crop' => 'ion-ios-crop',
			'ion-ios-crop-strong' => 'ion-ios-crop-strong',
			'ion-ios-download' => 'ion-ios-download',
			'ion-ios-download-outline' => 'ion-ios-download-outline',
			'ion-ios-drag' => 'ion-ios-drag',
			'ion-ios-email' => 'ion-ios-email',
			'ion-ios-email-outline' => 'ion-ios-email-outline',
			'ion-ios-eye' => 'ion-ios-eye',
			'ion-ios-eye-outline' => 'ion-ios-eye-outline',
			'ion-ios-fastforward' => 'ion-ios-fastforward',
			'ion-ios-fastforward-outline' => 'ion-ios-fastforward-outline',
			'ion-ios-filing' => 'ion-ios-filing',
			'ion-ios-filing-outline' => 'ion-ios-filing-outline',
			'ion-ios-film' => 'ion-ios-film',
			'ion-ios-film-outline' => 'ion-ios-film-outline',
			'ion-ios-flag' => 'ion-ios-flag',
			'ion-ios-flag-outline' => 'ion-ios-flag-outline',
			'ion-ios-flame' => 'ion-ios-flame',
			'ion-ios-flame-outline' => 'ion-ios-flame-outline',
			'ion-ios-flask' => 'ion-ios-flask',
			'ion-ios-flask-outline' => 'ion-ios-flask-outline',
			'ion-ios-flower' => 'ion-ios-flower',
			'ion-ios-flower-outline' => 'ion-ios-flower-outline',
			'ion-ios-folder' => 'ion-ios-folder',
			'ion-ios-folder-outline' => 'ion-ios-folder-outline',
			'ion-ios-football' => 'ion-ios-football',
			'ion-ios-football-outline' => 'ion-ios-football-outline',
			'ion-ios-game-controller-a' => 'ion-ios-game-controller-a',
			'ion-ios-game-controller-a-outline' => 'ion-ios-game-controller-a-outline',
			'ion-ios-game-controller-b' => 'ion-ios-game-controller-b',
			'ion-ios-game-controller-b-outline' => 'ion-ios-game-controller-b-outline',
			'ion-ios-gear' => 'ion-ios-gear',
			'ion-ios-gear-outline' => 'ion-ios-gear-outline',
			'ion-ios-glasses' => 'ion-ios-glasses',
			'ion-ios-glasses-outline' => 'ion-ios-glasses-outline',
			'ion-ios-grid-view' => 'ion-ios-grid-view',
			'ion-ios-grid-view-outline' => 'ion-ios-grid-view-outline',
			'ion-ios-heart' => 'ion-ios-heart',
			'ion-ios-heart-outline' => 'ion-ios-heart-outline',
			'ion-ios-help' => 'ion-ios-help',
			'ion-ios-help-empty' => 'ion-ios-help-empty',
			'ion-ios-help-outline' => 'ion-ios-help-outline',
			'ion-ios-home' => 'ion-ios-home',
			'ion-ios-home-outline' => 'ion-ios-home-outline',
			'ion-ios-infinite' => 'ion-ios-infinite',
			'ion-ios-infinite-outline' => 'ion-ios-infinite-outline',
			'ion-ios-information' => 'ion-ios-information',
			'ion-ios-information-empty' => 'ion-ios-information-empty',
			'ion-ios-information-outline' => 'ion-ios-information-outline',
			'ion-ios-ionic-outline' => 'ion-ios-ionic-outline',
			'ion-ios-keypad' => 'ion-ios-keypad',
			'ion-ios-keypad-outline' => 'ion-ios-keypad-outline',
			'ion-ios-lightbulb' => 'ion-ios-lightbulb',
			'ion-ios-lightbulb-outline' => 'ion-ios-lightbulb-outline',
			'ion-ios-list' => 'ion-ios-list',
			'ion-ios-list-outline' => 'ion-ios-list-outline',
			'ion-ios-location' => 'ion-ios-location',
			'ion-ios-location-outline' => 'ion-ios-location-outline',
			'ion-ios-locked' => 'ion-ios-locked',
			'ion-ios-locked-outline' => 'ion-ios-locked-outline',
			'ion-ios-loop' => 'ion-ios-loop',
			'ion-ios-loop-strong' => 'ion-ios-loop-strong',
			'ion-ios-medical' => 'ion-ios-medical',
			'ion-ios-medical-outline' => 'ion-ios-medical-outline',
			'ion-ios-medkit' => 'ion-ios-medkit',
			'ion-ios-medkit-outline' => 'ion-ios-medkit-outline',
			'ion-ios-mic' => 'ion-ios-mic',
			'ion-ios-mic-off' => 'ion-ios-mic-off',
			'ion-ios-mic-outline' => 'ion-ios-mic-outline',
			'ion-ios-minus' => 'ion-ios-minus',
			'ion-ios-minus-empty' => 'ion-ios-minus-empty',
			'ion-ios-minus-outline' => 'ion-ios-minus-outline',
			'ion-ios-monitor' => 'ion-ios-monitor',
			'ion-ios-monitor-outline' => 'ion-ios-monitor-outline',
			'ion-ios-moon' => 'ion-ios-moon',
			'ion-ios-moon-outline' => 'ion-ios-moon-outline',
			'ion-ios-more' => 'ion-ios-more',
			'ion-ios-more-outline' => 'ion-ios-more-outline',
			'ion-ios-musical-note' => 'ion-ios-musical-note',
			'ion-ios-musical-notes' => 'ion-ios-musical-notes',
			'ion-ios-navigate' => 'ion-ios-navigate',
			'ion-ios-navigate-outline' => 'ion-ios-navigate-outline',
			'ion-ios-nutrition' => 'ion-ios-nutrition',
			'ion-ios-nutrition-outline' => 'ion-ios-nutrition-outline',
			'ion-ios-paper' => 'ion-ios-paper',
			'ion-ios-paper-outline' => 'ion-ios-paper-outline',
			'ion-ios-paperplane' => 'ion-ios-paperplane',
			'ion-ios-paperplane-outline' => 'ion-ios-paperplane-outline',
			'ion-ios-partlysunny' => 'ion-ios-partlysunny',
			'ion-ios-partlysunny-outline' => 'ion-ios-partlysunny-outline',
			'ion-ios-pause' => 'ion-ios-pause',
			'ion-ios-pause-outline' => 'ion-ios-pause-outline',
			'ion-ios-paw' => 'ion-ios-paw',
			'ion-ios-paw-outline' => 'ion-ios-paw-outline',
			'ion-ios-people' => 'ion-ios-people',
			'ion-ios-people-outline' => 'ion-ios-people-outline',
			'ion-ios-person' => 'ion-ios-person',
			'ion-ios-person-outline' => 'ion-ios-person-outline',
			'ion-ios-personadd' => 'ion-ios-personadd',
			'ion-ios-personadd-outline' => 'ion-ios-personadd-outline',
			'ion-ios-photos' => 'ion-ios-photos',
			'ion-ios-photos-outline' => 'ion-ios-photos-outline',
			'ion-ios-pie' => 'ion-ios-pie',
			'ion-ios-pie-outline' => 'ion-ios-pie-outline',
			'ion-ios-pint' => 'ion-ios-pint',
			'ion-ios-pint-outline' => 'ion-ios-pint-outline',
			'ion-ios-play' => 'ion-ios-play',
			'ion-ios-play-outline' => 'ion-ios-play-outline',
			'ion-ios-plus' => 'ion-ios-plus',
			'ion-ios-plus-empty' => 'ion-ios-plus-empty',
			'ion-ios-plus-outline' => 'ion-ios-plus-outline',
			'ion-ios-pricetag' => 'ion-ios-pricetag',
			'ion-ios-pricetag-outline' => 'ion-ios-pricetag-outline',
			'ion-ios-pricetags' => 'ion-ios-pricetags',
			'ion-ios-pricetags-outline' => 'ion-ios-pricetags-outline',
			'ion-ios-printer' => 'ion-ios-printer',
			'ion-ios-printer-outline' => 'ion-ios-printer-outline',
			'ion-ios-pulse' => 'ion-ios-pulse',
			'ion-ios-pulse-strong' => 'ion-ios-pulse-strong',
			'ion-ios-rainy' => 'ion-ios-rainy',
			'ion-ios-rainy-outline' => 'ion-ios-rainy-outline',
			'ion-ios-recording' => 'ion-ios-recording',
			'ion-ios-recording-outline' => 'ion-ios-recording-outline',
			'ion-ios-redo' => 'ion-ios-redo',
			'ion-ios-redo-outline' => 'ion-ios-redo-outline',
			'ion-ios-refresh' => 'ion-ios-refresh',
			'ion-ios-refresh-empty' => 'ion-ios-refresh-empty',
			'ion-ios-refresh-outline' => 'ion-ios-refresh-outline',
			'ion-ios-reload' => 'ion-ios-reload',
			'ion-ios-reverse-camera' => 'ion-ios-reverse-camera',
			'ion-ios-reverse-camera-outline' => 'ion-ios-reverse-camera-outline',
			'ion-ios-rewind' => 'ion-ios-rewind',
			'ion-ios-rewind-outline' => 'ion-ios-rewind-outline',
			'ion-ios-rose' => 'ion-ios-rose',
			'ion-ios-rose-outline' => 'ion-ios-rose-outline',
			'ion-ios-search' => 'ion-ios-search',
			'ion-ios-search-strong' => 'ion-ios-search-strong',
			'ion-ios-settings' => 'ion-ios-settings',
			'ion-ios-settings-strong' => 'ion-ios-settings-strong',
			'ion-ios-shuffle' => 'ion-ios-shuffle',
			'ion-ios-shuffle-strong' => 'ion-ios-shuffle-strong',
			'ion-ios-skipbackward' => 'ion-ios-skipbackward',
			'ion-ios-skipbackward-outline' => 'ion-ios-skipbackward-outline',
			'ion-ios-skipforward' => 'ion-ios-skipforward',
			'ion-ios-skipforward-outline' => 'ion-ios-skipforward-outline',
			'ion-ios-snowy' => 'ion-ios-snowy',
			'ion-ios-speedometer' => 'ion-ios-speedometer',
			'ion-ios-speedometer-outline' => 'ion-ios-speedometer-outline',
			'ion-ios-star' => 'ion-ios-star',
			'ion-ios-star-half' => 'ion-ios-star-half',
			'ion-ios-star-outline' => 'ion-ios-star-outline',
			'ion-ios-stopwatch' => 'ion-ios-stopwatch',
			'ion-ios-stopwatch-outline' => 'ion-ios-stopwatch-outline',
			'ion-ios-sunny' => 'ion-ios-sunny',
			'ion-ios-sunny-outline' => 'ion-ios-sunny-outline',
			'ion-ios-telephone' => 'ion-ios-telephone',
			'ion-ios-telephone-outline' => 'ion-ios-telephone-outline',
			'ion-ios-tennisball' => 'ion-ios-tennisball',
			'ion-ios-tennisball-outline' => 'ion-ios-tennisball-outline',
			'ion-ios-thunderstorm' => 'ion-ios-thunderstorm',
			'ion-ios-thunderstorm-outline' => 'ion-ios-thunderstorm-outline',
			'ion-ios-time' => 'ion-ios-time',
			'ion-ios-time-outline' => 'ion-ios-time-outline',
			'ion-ios-timer' => 'ion-ios-timer',
			'ion-ios-timer-outline' => 'ion-ios-timer-outline',
			'ion-ios-toggle' => 'ion-ios-toggle',
			'ion-ios-toggle-outline' => 'ion-ios-toggle-outline',
			'ion-ios-trash' => 'ion-ios-trash',
			'ion-ios-trash-outline' => 'ion-ios-trash-outline',
			'ion-ios-undo' => 'ion-ios-undo',
			'ion-ios-undo-outline' => 'ion-ios-undo-outline',
			'ion-ios-unlocked' => 'ion-ios-unlocked',
			'ion-ios-unlocked-outline' => 'ion-ios-unlocked-outline',
			'ion-ios-upload' => 'ion-ios-upload',
			'ion-ios-upload-outline' => 'ion-ios-upload-outline',
			'ion-ios-videocam' => 'ion-ios-videocam',
			'ion-ios-videocam-outline' => 'ion-ios-videocam-outline',
			'ion-ios-volume-high' => 'ion-ios-volume-high',
			'ion-ios-volume-low' => 'ion-ios-volume-low',
			'ion-ios-wineglass' => 'ion-ios-wineglass',
			'ion-ios-wineglass-outline' => 'ion-ios-wineglass-outline',
			'ion-ios-world' => 'ion-ios-world',
			'ion-ios-world-outline' => 'ion-ios-world-outline',
			'ion-ipad' => 'ion-ipad',
			'ion-iphone' => 'ion-iphone',
			'ion-ipod' => 'ion-ipod',
			'ion-jet' => 'ion-jet',
			'ion-key' => 'ion-key',
			'ion-knife' => 'ion-knife',
			'ion-laptop' => 'ion-laptop',
			'ion-leaf' => 'ion-leaf',
			'ion-levels' => 'ion-levels',
			'ion-lightbulb' => 'ion-lightbulb',
			'ion-link' => 'ion-link',
			'ion-load-a' => 'ion-load-a',
			'ion-load-b' => 'ion-load-b',
			'ion-load-c' => 'ion-load-c',
			'ion-load-d' => 'ion-load-d',
			'ion-location' => 'ion-location',
			'ion-lock-combination' => 'ion-lock-combination',
			'ion-locked' => 'ion-locked',
			'ion-log-in' => 'ion-log-in',
			'ion-log-out' => 'ion-log-out',
			'ion-loop' => 'ion-loop',
			'ion-magnet' => 'ion-magnet',
			'ion-male' => 'ion-male',
			'ion-man' => 'ion-man',
			'ion-map' => 'ion-map',
			'ion-medkit' => 'ion-medkit',
			'ion-merge' => 'ion-merge',
			'ion-mic-a' => 'ion-mic-a',
			'ion-mic-b' => 'ion-mic-b',
			'ion-mic-c' => 'ion-mic-c',
			'ion-minus' => 'ion-minus',
			'ion-minus-circled' => 'ion-minus-circled',
			'ion-minus-round' => 'ion-minus-round',
			'ion-model-s' => 'ion-model-s',
			'ion-monitor' => 'ion-monitor',
			'ion-more' => 'ion-more',
			'ion-mouse' => 'ion-mouse',
			'ion-music-note' => 'ion-music-note',
			'ion-navicon' => 'ion-navicon',
			'ion-navicon-round' => 'ion-navicon-round',
			'ion-navigate' => 'ion-navigate',
			'ion-network' => 'ion-network',
			'ion-no-smoking' => 'ion-no-smoking',
			'ion-nuclear' => 'ion-nuclear',
			'ion-outlet' => 'ion-outlet',
			'ion-paintbrush' => 'ion-paintbrush',
			'ion-paintbucket' => 'ion-paintbucket',
			'ion-paper-airplane' => 'ion-paper-airplane',
			'ion-paperclip' => 'ion-paperclip',
			'ion-pause' => 'ion-pause',
			'ion-person' => 'ion-person',
			'ion-person-add' => 'ion-person-add',
			'ion-person-stalker' => 'ion-person-stalker',
			'ion-pie-graph' => 'ion-pie-graph',
			'ion-pin' => 'ion-pin',
			'ion-pinpoint' => 'ion-pinpoint',
			'ion-pizza' => 'ion-pizza',
			'ion-plane' => 'ion-plane',
			'ion-planet' => 'ion-planet',
			'ion-play' => 'ion-play',
			'ion-playstation' => 'ion-playstation',
			'ion-plus' => 'ion-plus',
			'ion-plus-circled' => 'ion-plus-circled',
			'ion-plus-round' => 'ion-plus-round',
			'ion-podium' => 'ion-podium',
			'ion-pound' => 'ion-pound',
			'ion-power' => 'ion-power',
			'ion-pricetag' => 'ion-pricetag',
			'ion-pricetags' => 'ion-pricetags',
			'ion-printer' => 'ion-printer',
			'ion-pull-request' => 'ion-pull-request',
			'ion-qr-scanner' => 'ion-qr-scanner',
			'ion-quote' => 'ion-quote',
			'ion-radio-waves' => 'ion-radio-waves',
			'ion-record' => 'ion-record',
			'ion-refresh' => 'ion-refresh',
			'ion-reply' => 'ion-reply',
			'ion-reply-all' => 'ion-reply-all',
			'ion-ribbon-a' => 'ion-ribbon-a',
			'ion-ribbon-b' => 'ion-ribbon-b',
			'ion-sad' => 'ion-sad',
			'ion-sad-outline' => 'ion-sad-outline',
			'ion-scissors' => 'ion-scissors',
			'ion-search' => 'ion-search',
			'ion-settings' => 'ion-settings',
			'ion-share' => 'ion-share',
			'ion-shuffle' => 'ion-shuffle',
			'ion-skip-backward' => 'ion-skip-backward',
			'ion-skip-forward' => 'ion-skip-forward',
			'ion-social-android' => 'ion-social-android',
			'ion-social-android-outline' => 'ion-social-android-outline',
			'ion-social-angular' => 'ion-social-angular',
			'ion-social-angular-outline' => 'ion-social-angular-outline',
			'ion-social-apple' => 'ion-social-apple',
			'ion-social-apple-outline' => 'ion-social-apple-outline',
			'ion-social-bitcoin' => 'ion-social-bitcoin',
			'ion-social-bitcoin-outline' => 'ion-social-bitcoin-outline',
			'ion-social-buffer' => 'ion-social-buffer',
			'ion-social-buffer-outline' => 'ion-social-buffer-outline',
			'ion-social-chrome' => 'ion-social-chrome',
			'ion-social-chrome-outline' => 'ion-social-chrome-outline',
			'ion-social-codepen' => 'ion-social-codepen',
			'ion-social-codepen-outline' => 'ion-social-codepen-outline',
			'ion-social-css3' => 'ion-social-css3',
			'ion-social-css3-outline' => 'ion-social-css3-outline',
			'ion-social-designernews' => 'ion-social-designernews',
			'ion-social-designernews-outline' => 'ion-social-designernews-outline',
			'ion-social-dribbble' => 'ion-social-dribbble',
			'ion-social-dribbble-outline' => 'ion-social-dribbble-outline',
			'ion-social-dropbox' => 'ion-social-dropbox',
			'ion-social-dropbox-outline' => 'ion-social-dropbox-outline',
			'ion-social-euro' => 'ion-social-euro',
			'ion-social-euro-outline' => 'ion-social-euro-outline',
			'ion-social-facebook' => 'ion-social-facebook',
			'ion-social-facebook-outline' => 'ion-social-facebook-outline',
			'ion-social-foursquare' => 'ion-social-foursquare',
			'ion-social-foursquare-outline' => 'ion-social-foursquare-outline',
			'ion-social-freebsd-devil' => 'ion-social-freebsd-devil',
			'ion-social-github' => 'ion-social-github',
			'ion-social-github-outline' => 'ion-social-github-outline',
			'ion-social-google' => 'ion-social-google',
			'ion-social-google-outline' => 'ion-social-google-outline',
			'ion-social-googleplus' => 'ion-social-googleplus',
			'ion-social-googleplus-outline' => 'ion-social-googleplus-outline',
			'ion-social-hackernews' => 'ion-social-hackernews',
			'ion-social-hackernews-outline' => 'ion-social-hackernews-outline',
			'ion-social-html5' => 'ion-social-html5',
			'ion-social-html5-outline' => 'ion-social-html5-outline',
			'ion-social-instagram' => 'ion-social-instagram',
			'ion-social-instagram-outline' => 'ion-social-instagram-outline',
			'ion-social-javascript' => 'ion-social-javascript',
			'ion-social-javascript-outline' => 'ion-social-javascript-outline',
			'ion-social-linkedin' => 'ion-social-linkedin',
			'ion-social-linkedin-outline' => 'ion-social-linkedin-outline',
			'ion-social-markdown' => 'ion-social-markdown',
			'ion-social-nodejs' => 'ion-social-nodejs',
			'ion-social-octocat' => 'ion-social-octocat',
			'ion-social-pinterest' => 'ion-social-pinterest',
			'ion-social-pinterest-outline' => 'ion-social-pinterest-outline',
			'ion-social-python' => 'ion-social-python',
			'ion-social-reddit' => 'ion-social-reddit',
			'ion-social-reddit-outline' => 'ion-social-reddit-outline',
			'ion-social-rss' => 'ion-social-rss',
			'ion-social-rss-outline' => 'ion-social-rss-outline',
			'ion-social-sass' => 'ion-social-sass',
			'ion-social-skype' => 'ion-social-skype',
			'ion-social-skype-outline' => 'ion-social-skype-outline',
			'ion-social-snapchat' => 'ion-social-snapchat',
			'ion-social-snapchat-outline' => 'ion-social-snapchat-outline',
			'ion-social-tumblr' => 'ion-social-tumblr',
			'ion-social-tumblr-outline' => 'ion-social-tumblr-outline',
			'ion-social-tux' => 'ion-social-tux',
			'ion-social-twitch' => 'ion-social-twitch',
			'ion-social-twitch-outline' => 'ion-social-twitch-outline',
			'ion-social-twitter' => 'ion-social-twitter',
			'ion-social-twitter-outline' => 'ion-social-twitter-outline',
			'ion-social-usd' => 'ion-social-usd',
			'ion-social-usd-outline' => 'ion-social-usd-outline',
			'ion-social-vimeo' => 'ion-social-vimeo',
			'ion-social-vimeo-outline' => 'ion-social-vimeo-outline',
			'ion-social-whatsapp' => 'ion-social-whatsapp',
			'ion-social-whatsapp-outline' => 'ion-social-whatsapp-outline',
			'ion-social-windows' => 'ion-social-windows',
			'ion-social-windows-outline' => 'ion-social-windows-outline',
			'ion-social-wordpress' => 'ion-social-wordpress',
			'ion-social-wordpress-outline' => 'ion-social-wordpress-outline',
			'ion-social-yahoo' => 'ion-social-yahoo',
			'ion-social-yahoo-outline' => 'ion-social-yahoo-outline',
			'ion-social-yen' => 'ion-social-yen',
			'ion-social-yen-outline' => 'ion-social-yen-outline',
			'ion-social-youtube' => 'ion-social-youtube',
			'ion-social-youtube-outline' => 'ion-social-youtube-outline',
			'ion-soup-can' => 'ion-soup-can',
			'ion-soup-can-outline' => 'ion-soup-can-outline',
			'ion-speakerphone' => 'ion-speakerphone',
			'ion-speedometer' => 'ion-speedometer',
			'ion-spoon' => 'ion-spoon',
			'ion-star' => 'ion-star',
			'ion-stats-bars' => 'ion-stats-bars',
			'ion-steam' => 'ion-steam',
			'ion-stop' => 'ion-stop',
			'ion-thermometer' => 'ion-thermometer',
			'ion-thumbsdown' => 'ion-thumbsdown',
			'ion-thumbsup' => 'ion-thumbsup',
			'ion-toggle' => 'ion-toggle',
			'ion-toggle-filled' => 'ion-toggle-filled',
			'ion-transgender' => 'ion-transgender',
			'ion-trash-a' => 'ion-trash-a',
			'ion-trash-b' => 'ion-trash-b',
			'ion-trophy' => 'ion-trophy',
			'ion-tshirt' => 'ion-tshirt',
			'ion-tshirt-outline' => 'ion-tshirt-outline',
			'ion-umbrella' => 'ion-umbrella',
			'ion-university' => 'ion-university',
			'ion-unlocked' => 'ion-unlocked',
			'ion-upload' => 'ion-upload',
			'ion-usb' => 'ion-usb',
			'ion-videocamera' => 'ion-videocamera',
			'ion-volume-high' => 'ion-volume-high',
			'ion-volume-low' => 'ion-volume-low',
			'ion-volume-medium' => 'ion-volume-medium',
			'ion-volume-mute' => 'ion-volume-mute',
			'ion-wand' => 'ion-wand',
			'ion-waterdrop' => 'ion-waterdrop',
			'ion-wifi' => 'ion-wifi',
			'ion-wineglass' => 'ion-wineglass',
			'ion-woman' => 'ion-woman',
			'ion-wrench' => 'ion-wrench',
			'ion-xbox' => 'ion-xbox'
		);
	}

	private function setSocialIconsArray() {

		$this->socialIcons = array(
			'' => '',
			'ion-social-android' => 'Android',
			'ion-social-android-outline' => 'Android outline',
			'ion-social-angular' => 'Angular',
			'ion-social-angular-outline' => 'Angular outline',
			'ion-social-apple' => 'Apple',
			'ion-social-apple-outline' => 'Apple outline',
			'ion-social-bitcoin' => 'Bitcoin',
			'ion-social-bitcoin-outline' => 'Bitcoin outline',
			'ion-social-buffer' => 'Buffer',
			'ion-social-buffer-outline' => 'Buffer outline',
			'ion-social-chrome' => 'Chrome',
			'ion-social-chrome-outline' => 'Chrome outline',
			'ion-social-codepen' => 'Codepen',
			'ion-social-codepen-outline' => 'Codepen outline',
			'ion-social-css3' => 'CSS3',
			'ion-social-css3-outline' => 'CSS3 outline',
			'ion-social-designernews' => 'Designernews',
			'ion-social-designernews-outline' => 'Designernews outline',
			'ion-social-dribbble' => 'Dribbble',
			'ion-social-dribbble-outline' => 'Dribbble outline',
			'ion-social-dropbox' => 'Dropbox',
			'ion-social-dropbox-outline' => 'Dropbox outline',
			'ion-social-euro' => 'Euro',
			'ion-social-euro-outline' => 'Euro outline',
			'ion-social-facebook' => 'Facebook',
			'ion-social-facebook-outline' => 'Facebook outline',
			'ion-social-foursquare' => 'Foursquare',
			'ion-social-foursquare-outline' => 'Foursquare outline',
			'ion-social-freebsd-devil' => 'Freebsd devil',
			'ion-social-github' => 'Github',
			'ion-social-github-outline' => 'Github outline',
			'ion-social-google' => 'Google',
			'ion-social-google-outline' => 'Google outline',
			'ion-social-googleplus' => 'Google plus',
			'ion-social-googleplus-outline' => 'Google plus outline',
			'ion-social-hackernews' => 'Hackernews',
			'ion-social-hackernews-outline' => 'Hackernews outline',
			'ion-social-html5' => 'HTML5',
			'ion-social-html5-outline' => 'HTML5 outline',
			'ion-social-instagram' => 'Instagram',
			'ion-social-instagram-outline' => 'Instagram outline',
			'ion-social-javascript' => 'Java Script',
			'ion-social-javascript-outline' => 'Java Script outline',
			'ion-social-linkedin' => 'Linkedin',
			'ion-social-linkedin-outline' => 'Linkedin outline',
			'ion-social-markdown' => 'Markdown',
			'ion-social-nodejs' => 'Node.js',
			'ion-social-octocat' => 'Octocat',
			'ion-social-pinterest' => 'Pinterest',
			'ion-social-pinterest-outline' => 'Pinterest outline',
			'ion-social-python' => 'Python',
			'ion-social-reddit' => 'Reddit',
			'ion-social-reddit-outline' => 'Reddit outline',
			'ion-social-rss' => 'RSS',
			'ion-social-rss-outline' => 'RSS outline',
			'ion-social-sass' => 'sass',
			'ion-social-skype' => 'Skype',
			'ion-social-skype-outline' => 'Skype outline',
			'ion-social-snapchat' => 'Snapchat',
			'ion-social-snapchat-outline' => 'Snapchat outline',
			'ion-social-tumblr' => 'Tumblr',
			'ion-social-tumblr-outline' => 'Tumblr outline',
			'ion-social-tux' => 'Tux',
			'ion-social-twitch' => 'Twitch',
			'ion-social-twitch-outline' => 'Twitch outline',
			'ion-social-twitter' => 'Twitter',
			'ion-social-twitter-outline' => 'Twitter outline',
			'ion-social-usd' => 'USD',
			'ion-social-usd-outline' => 'USD outline',
			'ion-social-vimeo' => 'Vimeo',
			'ion-social-vimeo-outline' => 'Vimeo outline',
			'ion-social-whatsapp' => 'Whatsapp',
			'ion-social-whatsapp-outline' => 'Whatsapp outline',
			'ion-social-windows' => 'Windows',
			'ion-social-windows-outline' => 'Windows outline',
			'ion-social-wordpress' => 'WordPress',
			'ion-social-wordpress-outline' => 'WordPress outline',
			'ion-social-yahoo' => 'Yahoo',
			'ion-social-yahoo-outline' => 'Yahoo outline',
			'ion-social-yen' => 'Yen',
			'ion-social-yen-outline' => 'Yen outline',
			'ion-social-youtube' => 'YouTube',
			'ion-social-youtube-outline' => 'YouTube outline'
		);
	}

	public function getIconsArray() {
		return $this->icons;
	}

	public function getSocialIconsArray() {

		return $this->socialIcons;
	}

	public function getSocialIconsArrayVC() {
		return array_flip($this->getSocialIconsArray());
	}

	public function render($icon, $params = array()) {
		$html = '';
		extract($params);
		$iconAttributesString = '';
		$iconClass = '';
		if (isset($icon_attributes) && count($icon_attributes)) {
			foreach ($icon_attributes as $icon_attr_name => $icon_attr_val) {
				if ($icon_attr_name === 'class') {
					$iconClass = $icon_attr_val;
					unset($icon_attributes[$icon_attr_name]);
				} else {
					$iconAttributesString .= $icon_attr_name . '="' . $icon_attr_val . '" ';
				}
			}
		}

		if (isset($before_icon) && $before_icon !== '') {
			$beforeIconAttrString = '';
			if (isset($before_icon_attributes) && count($before_icon_attributes)) {
				foreach ($before_icon_attributes as $before_icon_attr_name => $before_icon_attr_val) {
					$beforeIconAttrString .= $before_icon_attr_name . '="' . $before_icon_attr_val . '" ';
				}
			}

			$html .= '<' . $before_icon . ' ' . $beforeIconAttrString . '>';
		}

		$html .= '<i class="mkdf-icon-ion-icon ' . $icon . ' ' . $iconClass . '" ' . $iconAttributesString . '></i>';

		if (isset($before_icon) && $before_icon !== '') {
			$html .= '</' . $before_icon . '>';
		}

		return $html;
	}

	public function getSearchIcon() {

		return $this->render('ion-ios-search');
	}

	public function getSearchClose() {

		return $this->render('ion-close');
	}

	public function getMenuSideIcon() {

		return $this->render('ion-navicon');
	}

	public function getBackToTopIcon() {

		return $this->render('ion-chevron-up');
	}

	public function getMobileMenuIcon() {

		return $this->render('ion-navicon');
	}

	public function getQuoteIcon() {

		return $this->render('ion-quote');
	}

	public function getFacebookIcon() {

		return 'ion-social-facebook';
	}

	public function getTwitterIcon() {

		return 'ion-social-twitter';
	}

	public function getGooglePlusIcon() {

		return 'ion-social-googleplus';
	}

	public function getLinkedInIcon() {

		return 'ion-social-linkedin';
	}

	public function getTumblrIcon() {

		return 'ion-social-tumblr';
	}

	public function getPinterestIcon() {

		return 'ion-social-pinterest';
	}

	public function getVKIcon() {

		return '';
	}

    /**
     * Checks if icon collection has social icons
     * @return mixed
     */
    public function hasSocialIcons() {
        return true;
    }

}