<?php do_action('evently_mikado_action_before_page_title'); ?>

<div class="mkdf-title-holder <?php echo esc_attr($holder_classes); ?>" <?php evently_mikado_inline_style($holder_styles); ?> <?php echo evently_mikado_get_inline_attrs($holder_data); ?>>
	<?php if(!empty($title_image)) { ?>
		<div class="mkdf-title-image">
			<img itemprop="image" src="<?php echo esc_url($title_image['src']); ?>" alt="<?php echo esc_attr($title_image['alt']); ?>" />
		</div>
	<?php } ?>
	<div class="mkdf-title-wrapper" <?php evently_mikado_inline_style($wrapper_styles); ?>>
		<div class="mkdf-title-inner">
			<div class="mkdf-grid">
				<?php if($tagline){ ?>
					<span class="mkdf-page-tagline" <?php evently_mikado_inline_style($tagline_styles); ?>><?php echo esc_html($tagline); ?></span>
				<?php } ?>
				<?php if(!empty($title)) { ?>
					<<?php echo esc_attr($title_tag); ?> class="mkdf-page-title entry-title" <?php evently_mikado_inline_style($title_styles); ?>>
						<?php echo esc_html($title); ?>
						<?php if($separator === 'yes'){ ?>
							<span class="mkdf-title-separator" <?php evently_mikado_inline_style($separator_styles); ?>></span>
						<?php } ?>
					</<?php echo esc_attr($title_tag); ?>>
				<?php } ?>
				<?php if(!empty($subtitle)){ ?>
					<p class="mkdf-page-subtitle" <?php evently_mikado_inline_style($subtitle_styles); ?>><?php echo esc_html($subtitle); ?></p>
				<?php } ?>
			</div>
	    </div>
	</div>
</div>

<?php do_action('evently_mikado_action_after_page_title'); ?>
